SolrStopwordsCarrot2LexicalDataFactory (Solr 3.6.2 API)
Keywords: org.apache.solr.handler.clustering.carrot2.SolrStopwordsCarrot2LexicalDataFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.handler.clustering.carrot2
Class SolrStopwordsCarrot2LexicalDataFactory

    java.lang.Object
      org.apache.solr.handler.clustering.carrot2.SolrStopwordsCarrot2LexicalDataFactory

All Implemented Interfaces:
  org.carrot2.text.linguistic.ILexicalDataFactory

    public class SolrStopwordsCarrot2LexicalDataFactory

extends Object
implements org.carrot2.text.linguistic.ILexicalDataFactory

An implementation of Carrot2's `ILexicalDataFactory` that adds stop words from a field's StopFilter to the default stop words used in Carrot2, for all languages Carrot2 supports. Completely replacing Carrot2 stop words with Solr's wouldn't make much sense because clustering needs more aggressive stop words removal. In other words, if something is a stop word during indexing, then it should also be a stop word during clustering, but not the other way round.

Constructor Summary
`SolrStopwordsCarrot2LexicalDataFactory()`

Method Summary
`org.carrot2.text.linguistic.ILexicalData` | `getLexicalData(org.carrot2.core.LanguageCode languageCode)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SolrStopwordsCarrot2LexicalDataFactory

    public SolrStopwordsCarrot2LexicalDataFactory()

Method Detail

### getLexicalData

    public org.carrot2.text.linguistic.ILexicalData getLexicalData(org.carrot2.core.LanguageCode languageCode)

  Specified by:
    `getLexicalData` in interface `org.carrot2.text.linguistic.ILexicalDataFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD